Package com.sun.jna.platform.win32

# Class WinGDI.RGNDATAHEADER

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinGDI.RGNDATAHEADER

Enclosing interface:
  WinGDI

@FieldOrder({"dwSize","iType","nCount","nRgnSize","rcBound"}) public static class WinGDI.RGNDATAHEADER extends Structure

## Nested Class Summary

## Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`dwSize`
`int`
`iType`
`int`
`nCount`
`int`
`nRgnSize`
`WinDef.RECT`
`rcBound`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`RGNDATAHEADER()`

## Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### dwSize

public int dwSize

### iType

public int iType

### nCount

public int nCount

### nRgnSize

public int nRgnSize

### rcBound

public WinDef.RECT rcBound

## Constructor Details

### RGNDATAHEADER

public RGNDATAHEADER()